How to build Wireshark-1.6.7 against patched libpcap

chiccus2003 at libero.it chiccus2003 at libero.it
Sat May 5 09:34:19 UTC 2012


Hi,

I do not know how to build Wireshark-1.6.7 against patched libpcap.

The Kernel 3.2.0+ is built and installed in directory:
umberto at umberto-desktop:/usr/src

The patched libpcap + libnl +libdect are built and installed in directory:
umberto at umberto-desktop:/usr/src/tools

Also the source directory wireshark-1.6.7 is in directory:
umberto at umberto-desktop:/usr/src/tools

I do:

cd wireshark-1.6.7$ sudo ./configure --with-pcap=/usr/local/lib

and I get the following error:

........
checking for connect... yes
checking whether to use libpcap for packet capture... yes
checking pcap.h usability... yes
checking pcap.h presence... yes
checking for pcap.h... yes
checking for pcap_open_live in -lpcap... no
checking for pcap_open_live in -lpcap with -lcfg -lodm... no
checking for pcap_open_live in -lpcap with -lpfring... no
configure: error: Can't link with library libpcap.
andrea at andrea-desktop:/usr/src/tools/wireshark-1.6.7$ 


But if I run “./configure”, then when I run “sudo wireshark” can not find the 
interface dect.

There are only interfaces: "any" - "lo" - "usb0".

What should I do?

(Pci card installed)

With best regards,

Umberto





More information about the linux-dect mailing list